<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap">
    <h1>生成页面</h1>
    <hr class="wp-header-end">

    <table class="wp-list-table widefat fixed striped table-view-list pages">
        <thead>
        <tr>
            <th scope="col" class="manage-column column-primary desc" style="width:50px;">
                <strong>ID</strong>
            </th>
            <th scope="col" class="manage-column" style="width:50px">
                <strong>大小</strong>
            </th>
            <th scope="col" class="manage-column" style="width:50px">
                <strong>post id</strong>
            </th>
            <th scope="col" class="manage-column">
                <strong>标题</strong>
            </th>
            <th scope="col" class="manage-column">
                <strong>执行过程</strong>
            </th>
        </tr>
        </thead>

        <tbody id="the-list">
        <?php
        foreach ($list as $item){
            ?>
            <tr class="iedit author-self level-0 post-2 type-page status-publish hentry">
                <td class="title column-title has-row-actions column-primary">
                    <?php echo $item['id']; ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['size']); ?>
                </td>
                <td class="author">
                    <?php echo $item['post_id']; ?>
                </td>
                <td class="author">
                    <?php echo \ZhangZhou\html_a($item['url'] . '?wp_html=1', esc_html($item['title']), 1); ?>
                </td>
                <td class="author">
                    <?php
                    echo $item['msg'];
                    ?>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
</div>

<?php
if($type == 'all' && $has_next){
    $q = $_GET;
    $url = '?' . http_build_query($q);
    echo \ZhangZhou\js_location($url, 2);

    echo '<p style="color: blue;">正在执行生成操作，请不要关闭浏览器...</p>';
}
?>