<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

class Constant{
    const INSTALL_CALL = true;
    const MENU_SHOW = true;
    const AJAX_CALL = true;
    const MODEL_LIST = [
        'posts_model', 'options_model',
        'task_model', 'log_model', 'file_model', 'dir_model',
    ];
    const ACTION_FILTER_CHECKED = [
        'action' => true,
        'action_api' => true,
        'hook_filter' => false,
    ];

    //
    const REG_MENU_LIST = [
        'primary' => 'Primary Menu',
//        'bottom' => 'Bottom Menu',
    ];

    // format：key, filter, default, checkbox
    const SETUP_FIELDS = [
        'general' => [
            'is_use_html' => ['absint', '1', 'checkbox'],
        ],
    ];

    // admin
    const REMOVE_PERMALINK_POST_TYPE_lIST = ['client',]; // hide post type permalink
    const ADMIN_FOOTER_ICON = true; // admin footer ICON
    const ADMIN_MENU_HIDE_LIST = []; // hide menu ex: edit.php, edit-comments.php

    //
    public static function get_full_action($name){
        return App::getInstance()->get_app_item('app_prefix') . $name;
    }

}